=== debian/changelog ===
node-katex (0.8.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #801196)

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Nov 2017 11:15:55 +0530
