=== debian/control ===
Source: node-katex
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-babel-eslint
 , node-babel-plugin-transform-class-properties
 , node-babel-plugin-transform-runtime
 , node-babel-preset-es2015
 , node-babel-register
 , node-express
 , node-less
 , node-js-yaml
 , node-nomnom
 , node-object-assign
 , node-pako
 , node-uglify
 , zip
 , cleancss
Standards-Version: 4.1.1
Homepage: https://github.com/Khan/KaTeX#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-katex.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-katex.git

Package: node-katex
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-match-at (>= 0.1.0)
Description: Fast math typesetting for the web
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 Node.js is an event-based server-side JavaScript engine.
