## node-katex 0.10.2%2Bdfsg

=== debian/changelog ===
node-katex (0.10.2+dfsg-8) unstable; urgency=medium

  * Use cleancss to minify katex.css

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 Jan 2021 14:51:52 +0530

node-katex (0.10.2+dfsg-7) unstable; urgency=medium

  * Team upload
  * Remove Section on katex, Section on fonts-katex that duplicate source
  * Add ctype=nodejs to component(s)
  * Replace deprecated no-uglify by uglifyjs (Closes: #979923)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 18:44:20 +0100

node-katex (0.10.2+dfsg-6) unstable; urgency=medium

  * Drop legacy rollup-plugin-alias usage

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 23:46:42 +0530

node-katex (0.10.2+dfsg-5) unstable; urgency=medium

  [ Xavier Guimard ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Set Multi-Arch: foreign on package fonts-katex.
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Modernize debian/watch
  * Use dh-sequence-nodejs

  [ Pirate Praveen ]
  * Tighten build dependencies
  * Drop legacy rollup-plugin-babel usage

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Jan 2021 21:33:43 +0530

node-katex (0.10.2+dfsg-4) unstable; urgency=medium

  * Highlight command line interface in description and move to tex section

 -- Pirate Praveen <praveen@debian.org>  Sat, 31 Oct 2020 22:41:53 +0530

node-katex (0.10.2+dfsg-3) unstable; urgency=medium

  * Add a README.Debian explaining the rationale for splitting katex+libjs-katex

 -- Pirate Praveen <praveen@debian.org>  Thu, 25 Jun 2020 01:32:40 +0530

node-katex (0.10.2+dfsg-2) unstable; urgency=medium

  * Revert "Remove node-less-loader from Build-Depends"
  * Revert "Skip less-loader and use lessc command"
  * Add node-file-loader as build dependency

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Jun 2020 17:45:58 +0530

node-katex (0.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Build using webpack
  * Bump debhelper compat to 11
  * Add node-mini-css-extract-plugin as build dependency (still in NEW)
  * Add node-babel-loader as build dependency
  * Use /usr/share/nodejs for resolve options in webpack.config
  * Skip cssnano by skipping minimize option
  * Embed components: babel-plugin-version-inline
  * New upstream version 0.10.2+dfsg (Closes: #961005)
  * Use pkg-js-tools for component auto linking to node_modules
  * Build babel-plugin-version-inline with babel 7
  * Add node-css-loader as build dependency
  * Add katex-fonts as a component and symlink to submodules directory
  * Remove dist/contrib from orig source and clean
  * Run rollup during build (Closes: #945556)
  * Skip less-loader and use lessc command
  * Fix katex command link and use pkg-js-tools auto install
  * Add libjs-katex binary package
  * Don't install any components in binary package
    (add empty debian/nodejs/submodules file)
  * Add fonts-katex binary package (Closes: #901382)
  * Rename node-katex to katex and add Provides: node-katex
  * Replace copy of fonts in libjs-katex with symbolic link to fonts-katex
  * Replace duplicate copy of dist with symbolic link to libjs-katex
  * Use salsa.debian.org in Vcs-* fields
  * Use Breaks instead of conflicts
  * Add Section: fonts for fonts-katex
  * Add ${misc:Depends} to libjs-katex and fonts-katex
  * Add deversion mangle for component katex-fonts
  * Add comment to patch

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 May 2020 17:30:55 +0530

node-katex (0.8.3+dfsg-2) unstable; urgency=medium

  * Build with Babel 7

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 May 2020 21:13:15 +0530
