=== debian/control ===
Source: node-katex
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 , debhelper-compat (= 12)
 , nodejs
 , pkg-js-tools (>= 0.9.35~)
 , node-babel-eslint
 , node-babel7
 , node-express
 , node-js-yaml
 , node-nomnom
 , node-object-assign
 , node-pako
 , node-uglify
 , zip
 , cleancss
 , rollup
 , node-rollup-plugin-alias
 , node-rollup-plugin-babel
 , webpack
 , node-mini-css-extract-plugin
 , node-babel-loader (>= 8.0~)
 , node-css-loader (>= 2.1~)
 , node-less-loader (>= 4.1~)
 , node-file-loader (>= 3.0.1~)
Standards-Version: 4.5.0
Homepage: https://github.com/Khan/KaTeX#readme
Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
Vcs-Browser: https://salsa.debian.org/js-team/node-katex

Package: katex
Section: tex
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-match-at (>= 0.1.0)
 , libjs-katex (=${source:Version})
Provides: node-katex (=${source:Version})
Breaks: node-katex (<= 0.8.3+dfsg-2)
Replaces: node-katex (<= 0.8.3+dfsg-2)
Description: Fast math typesetting for the web (command line interface)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides a command line interface for KaTeX, which can be used to
 render TeX to HTML. By default, CLI will take the input from standard input.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-katex
Architecture: all
Depends: fonts-katex (=${source:Version}), ${misc:Depends}
Recommends: javascript-common
Description: Fast math typesetting for the web (for browsers)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides files targeted at browsers.

Package: fonts-katex
Section: fonts
Architecture: all
Depends: ${misc:Depends}
Description: Fast math typesetting for the web (fonts)
 KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
 web.
 .
 KaTeX supports all major browsers, including Chrome, Safari, Firefox, Opera,
 Edge, and IE 9 - IE 11.
 .
 This package provides fonts from KaTeX project.
