=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with nodejs

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/katex/usr/share/nodejs/katex/cli.js

override_dh_install:
	dh_install
	# Remove duplicate copies of fonts with symlinks
	rm -rf debian/libjs-katex/usr/share/javascript/katex/fonts
	# Remove duplicate copies of dist with symlinks
	rm -rf debian/katex/usr/share/nodejs/katex/dist
