=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,14 @@
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-katex-$1.tar.gz/ \
  https://github.com/Khan/KaTeX/tags .*/archive/v?([\d\.]+).tar.gz
+
+opts=\
+component=babel-plugin-version-inline,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel-plugin-version-inline-$1.tar.gz/ \
+ https://github.com/gnandretta/babel-plugin-version-inline/tags .*/archive/v?([\d\.]+).tar.gz ignore
+
+opts="component=katex-fonts, mode=git, pgpmode=none",\
+dversionmangle=auto \
+  https://github.com/KaTeX/katex-fonts.git \
+  HEAD debian
