## node-katex 0.13.11+~cs6.0.0

=== src/fonts/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Version: Apache License 2.0
 #
 # Copyright (c) 2013 MathJax Project
+# Copyright (c) 2013 The MathJax Consortium
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -17,11 +18,27 @@
 # limitations under the License.
 #
 
-include ../custom.cfg
+CUSTOM=custom.cfg
+
+-include $(CUSTOM)
 
 MFTRACE_MODIFIED=lib/mftrace-modified
 
-all: fonts
+all: config fonts
+
+$(CUSTOM):
+	@cp default.cfg $(CUSTOM);
+
+$(CUSTOM).pl: $(CUSTOM)
+	@echo "Creating Perl config file..."
+	@cp $(CUSTOM) $(CUSTOM).pl
+	@echo >> $(CUSTOM).pl # ensure that the config file ends by a new line
+	@echo "MFTRACE_PATH=`$(WHICH) $(MFTRACE)`" >> $(CUSTOM).pl
+	@$(SED) -i "s|^\([A-Z_0-9]*\)=\(.*\)|$$\1='\2';|" $(CUSTOM).pl
+	@echo "1;" >> $(CUSTOM).pl
+
+.PHONY: config
+config: $(CUSTOM).pl
 
 blacker: $(MFTRACE_MODIFIED)
 $(MFTRACE_MODIFIED):
@@ -117,5 +134,6 @@
 		done
 
 clean:
+	rm -f $(CUSTOM).pl
 	rm -f $(MFTRACE_MODIFIED) lib/blacker.mf
 	rm -rf pfa ff otf ttf woff woff2
