=== debian/changelog ===
node-katex (0.13.11+~cs6.0.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 Feb 2022 14:47:00 +0530

node-katex (0.13.11+~cs6.0.0-1) experimental; urgency=medium

  * Drop fonts component (included in main tarball) excluding dist not required
  * New upstream version 0.13.11
  * Refresh patches
  * Build babel-plugin-preval component
  * Use postcss-preset-evergreen instead of postcss-preset-env
  * Stop using lessc for generating css (webpack with less-loader works now)

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Jan 2022 18:44:45 +0530

node-katex (0.10.2+dfsg-10) unstable; urgency=medium

  * Team upload.

  * fix provide minified browser-targeted library
    with extension .min.js,
    gone since 0.10.2+dfsg-1 but required by other packages
    (at least pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 23:56:57 +0100

node-katex (0.10.2+dfsg-9) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Fix GitHub tags regex
  * Update nodejs dependency to nodejs:any
  * Dependencies: remove node-match-at + add node-commander (Closes: #1002707)
  * Remove useless Breaks/Replaces

 -- Yadd <yadd@debian.org>  Tue, 28 Dec 2021 11:35:45 +0100
