=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_fixperms:
 	dh_fixperms
