## node-katex 0.16.2+~cs6.1.0

=== debian/changelog ===
node-katex (0.16.2+~cs6.1.0-4) unstable; urgency=medium

  * Team upload
  * Add patch to drop __proto__ calls

 -- Yadd <yadd@debian.org>  Sun, 18 Sep 2022 10:38:26 +0200

node-katex (0.16.2+~cs6.1.0-3) unstable; urgency=medium

  * Team upload
  * Add build dependency to node-read-pkg-up (Closes: #1020172)

 -- Yadd <yadd@debian.org>  Sun, 18 Sep 2022 09:05:32 +0200

node-katex (0.16.2+~cs6.1.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 04 Sep 2022 07:59:25 +0200

node-katex (0.16.2+~cs6.1.0-1) experimental; urgency=medium

  * Team upload
  * Fix section
  * Declare compliance with policy 4.6.1
  * New upstream version 0.16.2+~cs6.1.0
  * Drop fix-test-for-jest-27.patch, now included in upstream
  * Unfuzz patches
  * Build babel-plugin-preval with rollup and typescript
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 02 Sep 2022 21:41:24 +0200

node-katex (0.13.11+~cs6.0.0-3) unstable; urgency=medium

  * Team upload
  * Drop useless build dependency to node-babel-eslint
  * Add lintian overrides
  * Enable upstream test (jest)
  * Clean install
  * Fix copyright
  * Build manpage with help2man

 -- Yadd <yadd@debian.org>  Thu, 17 Mar 2022 06:45:23 +0100
