=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: cleancss
- , debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
- , node-babel-eslint
+ , babel-minify (>= 0.5.0-4~)
+ , cleancss
+ , help2man
+ , jest
  , node-babel-loader (>= 8.0~)
  , node-babel7
- , babel-minify (>= 0.5.0-4~)
  , node-browserslist (>= 4.12~)
  , node-css-loader (>= 2.1~)
  , node-express
  , node-file-loader (>= 3.0.1~)
+ , node-htmlparser2 <!nocheck>
  , node-js-yaml
  , node-less (>= 3.0~)
  , node-less-loader
@@ -22,18 +24,19 @@
  , node-nomnom
  , node-object-assign
  , node-pako
+ , node-postcss-loader
+ , node-postcss-preset-evergreen
+ , node-require-from-string
+ , node-read-pkg-up
  , node-rollup-plugin-alias
  , node-rollup-plugin-babel (>= 5.2~)
+ , node-type-fest
+ , node-typescript
  , rollup (>= 2.34~)
  , uglifyjs
- , cleancss
  , webpack (>= 4.43~)
- , node-postcss-preset-evergreen
- , node-postcss-loader
  , zip
-# for babel-plugin-preval
- , node-require-from-string
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
@@ -75,6 +78,7 @@
 
 Package: fonts-katex
 Architecture: all
+Section: fonts
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Fast math typesetting for the web (fonts)
