## node-katex 0.16.3+~cs6.1.0

=== debian/changelog ===
node-katex (0.16.3+~cs6.1.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints
    + libjs-katex: Add Multi-Arch: foreign.

  [ Yadd ]
  * New upstream version 0.16.3+~cs6.1.0

 -- Yadd <yadd@debian.org>  Sat, 26 Nov 2022 18:32:28 +0100

node-katex (0.16.2+~cs6.1.0-5) unstable; urgency=medium

  * Team upload
  * Add fix for rollup 3 (Closes: #1022693)

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 14:33:33 +0200
