## node-katex 0.16.4+~cs6.1.0

=== debian/changelog ===
node-katex (0.16.4+~cs6.1.0-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * New upstream version 0.16.4+~cs6.1.0

 -- Yadd <yadd@debian.org>  Fri, 09 Dec 2022 21:25:37 +0100
