=== debian/control ===
--- 
+++ 
@@ -67,6 +67,7 @@
 Depends: ${misc:Depends}
  , fonts-katex (=${binary:Version})
 Recommends: javascript-common
+Multi-Arch: foreign
 Description: Fast math typesetting for the web (for browsers)
  KaTeX is a fast, easy-to-use JavaScript library for TeX math rendering on the
  web.
