## node-katex 0.16.10%2B~cs6.1.0

=== debian/changelog ===
node-katex (0.16.10+~cs6.1.0-2ubuntu0.25.04.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Code execution
    - debian/patches/CVE-2025-23207.patch: Improve escape character
      handling
    - CVE-2025-23207

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 16 Jun 2025 10:44:53 +1000

node-katex (0.16.10+~cs6.1.0-2) unstable; urgency=medium

  * Team upload
  * Fix katex alias in contrib (render also build reproducible)

 -- Yadd <yadd@debian.org>  Wed, 27 Mar 2024 08:23:43 +0400

node-katex (0.16.10+~cs6.1.0-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * Drop .yarn from import
  * New upstream version (Closes: #1067805, CVE-2024-28243, CVE-2024-28244,
    CVE-2024-28245, CVE-2024-28246)
  * Refresh patches
  * Fix babel-plugin-preval version

 -- Yadd <yadd@debian.org>  Wed, 27 Mar 2024 07:18:56 +0400
