=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: node-katex
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
@@ -36,7 +37,7 @@
  , uglifyjs
  , webpack (>= 4.43~)
  , zip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
