## node-katex 0.16.10%2b~cs6.1.0

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: node-katex
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
-Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , babel-minify (>= 0.5.0-4~)
@@ -37,11 +35,10 @@
  , uglifyjs
  , webpack (>= 4.43~)
  , zip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
-Rules-Requires-Root: no
 
 Package: katex
 Architecture: all
