## node-katex 0.16.10+~cs6.1.0

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
+Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , babel-minify (>= 0.5.0-4~)
@@ -35,10 +36,11 @@
  , uglifyjs
  , webpack (>= 4.43~)
  , zip
-Standards-Version: 4.7.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-katex
 Vcs-Git: https://salsa.debian.org/js-team/node-katex.git
 Homepage: https://github.com/Khan/KaTeX#readme
+Rules-Requires-Root: no
 
 Package: katex
 Architecture: all
