=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	rm -rf debian/libjs-katex/usr/share/javascript/katex/fonts
 	# Remove duplicate copies of dist with symlinks
 	rm -rf debian/katex/usr/share/nodejs/katex/dist
+	# Remove useless files
+	rm -rf debian/katex/usr/share/nodejs/katex/src/metrics \
+		debian/katex/usr/share/nodejs/katex/src/fonts/generate_fonts.py
